
<div class="row mt-4 back-row justify-content-md-center">
  <div class="col-10">
    <button type="button" class="btn choice-btn" (click)="onBackToList()"><i class="fas fa-times"></i>
        Avbryt
      </button>
  </div>
</div>

<div class="container main-content">
  <div class="" *ngIf="service; else loading">

    <div class="row">
      <div class="col-md-1 yellow-square-col">
        <div class="yellow-square"><img alt=""></div>
      </div>
      <div class="col-md-10">
        <h1 class="card-title">{{isNew ? "Ny tjänst": "Ändra tjänsten"}} för: <b>{{service?.organisation?.name}}</b></h1>
        <div class="sub-header">
          <h3 class="sub-header-text H3-Left">{{isNew ? "- Gör din tjänst sökbar": "- Editera din tjänst"}}</h3>
        </div>
      </div>
    </div>

    <form #theForm="ngForm" novalidate>
      <div class="row service-form">
        <div class="col-12">

        <div class="row mt-3">
            <div class="col-lg-6">
              <div class="form-group">
                <label for="homepageInput">DIREKTLÄNK TILL TJÄNSTEN</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <div class="input-group-text" id="btnGroupFavicon">
                      <img [src]="'https://www.google.com/s2/favicons?domain_url='+doEncodeURI(service.homepage)" alt="favicon">
                    </div>
                  </div>
                  <input type="url" class="form-control input-field" id="homepageInput" data-cy="linkToService" name="homepage" aria-describedby="homepageHelp" placeholder="Länk till tjänsten" [(ngModel)]="service.homepage" #homepage="ngModel" required >
                </div>
      
                <small id="homepageHelp" [hidden]="homepage.valid || homepage.pristine" class="alert alert-danger form-text text-muted">
              </small>
              </div>
            </div>
          </div>

          <div class="row mt-3">
            <div class="col-lg-6">
              <div class="form-group">
                <label for="nameInput">RUBRIK FÖR TJÄNST</label>
                <input type="text" class="form-control input-field" id="nameInput" data-cy="serviceName" aria-describedby="nameHelp" placeholder="Namnet för tjänsten" #name="ngModel" [(ngModel)]="service.name" name="name" required>
                <small id="nameHelp" [hidden]="name.valid || name.pristine" class="alert alert-danger form-text text-muted">Skriv namnet för tjänsten
              </small>
              </div>
            </div>
          </div>

          <div class="row mt-3">
            <div class="col-lg-6">
              <div class="form-group">
                <label for="inputShortDescription">SAMMANFATTING AV TJÄNST</label>
                <textarea class="form-control input-field" id="inputShortDescription" [(ngModel)]="service.shortDescription"  data-cy="serviceAbstract" name="abstract" maxlength="240" aria-describedby="descriptionHelp" placeholder="Sammanfattning av tjänsten" rows="5" required #shortDescription="ngModel"></textarea>
                <small id="shortDescriptionHelp" [hidden]="shortDescription.valid || shortDescription.pristine" class="alert alert-danger form-text text-muted">Skriv en sammanfatting av tjänsten
              </small>
              </div>
              <p class="text-right">
                max 240 tecken
              </p>
            </div>
          </div>

          <div class="row mt-2">
            <div class="col-lg-6">
              <div class="form-group">
                <label for="inputDescription">BESKRIVNING AV TJÄNST</label>
                <textarea class="form-control input-field" id="inputDescription" [(ngModel)]="service.description" data-cy="serviceDescription" name="description" maxlength="2000" aria-describedby="descriptionHelp" placeholder="Beskrivning av tjänsten" rows="7" required #description="ngModel"></textarea>
                <small id="descriptionHelp" [hidden]="description.valid || description.pristine" class="alert alert-danger form-text text-muted">Skriv en beskrivning av tjänsten
              </small>
              </div>
              <p class="text-right">
                max 1500 tecken
              </p>
            </div>
          </div>
          
          <div class="row mt-4">
            <div class="col form-group">
              <h4 id="target">VÄLJ MÅLGRUPP</h4>
              <p>Obs: Ändring av målgrupp nollställer tidigare valda kategorier!</p>
              <div class="row ml-1 btn-group target-group-radio" ngbRadioGroup name="radioBasic">
                <div class="col-12 custom-control custom-radio custom-control-inline">
                  <input type="radio" id="targetGrRadioInline2" name="targetGrRadio" class="custom-control-input"
                         required="required"
                         value="WORKER"
                         (click)="resetCategories()"
                         [(ngModel)]="service.targetGroup"
                         #targetGroupModel="ngModel"
                         data-cy="arbetstagare">
                  <label class="custom-control-label" for="targetGrRadioInline2">Arbetstagare</label>
                </div>
                <div class="col-12 mt-5 custom-control custom-radio custom-control-inline">
                  <input type="radio" id="targetGrRadioInline1" name="targetGrRadio" class="custom-control-input"
                         required="required"
                         value="EMPLOYER"
                         (click)="resetCategories()"
                         [(ngModel)]="service.targetGroup" 
                         #targetGroupModel="ngModel"
                         data-cy="arbetsgivare">
                  <label class="custom-control-label" for="targetGrRadioInline1">Arbetsgivare</label>
                </div>
              </div>
            </div>
          </div>

          <div class="row mt-5">
            <div class="col-lg-12">
              <h4>VÄLJ EN HUVUDKATEGORI</h4> 
              <app-categories 
                [theForm]="theForm" 
                [service]="service" 
                [targetGroup]="service.targetGroup" 
                (changedCategory)="changeCategory($event)"></app-categories>
            </div>
          </div>


          <div class="row mt-5" *ngIf="this.asyncIndustries | async; let industries; else loading">
            <div class="col-12">
              <h4><label for="tagsInput">Branscher</label></h4>
              <div class="custom-control custom-checkbox">
                <div class="mt-2" *ngFor="let industry of industries; let idx = index">
                  <input 
                  type="checkbox" 
                  class="custom-control-input"
                  [ngModel]="selectedIndustries[industry.identifier]"
                  (change)="changeIndustry(industry.identifier, $event, industry.title)"
                  [name]="'industries'+idx"
                  [id]="industry.identifier"
                  data-cy="industries">
                  <label class="custom-control-label" [for]="industry.identifier">{{industry.title}}</label>
                </div>
              </div>
            </div>
          </div>

          <div class="row mt-5">
            <div class="col-lg-7">
              <div class="form-group">
                <label  class="mb-3" for="tagsInput"><h4>LÄGG TILL TAGGAR</h4>
                    Här fyller du i vilka taggar (nyckelord alt sökord) som beskriver på tjänsten för användaren bäst.
                    Ju mer detaljerat du beskriver tjänsten, desto mer relevant blir den i sökresultaten. Använd kommatecken(,) eller [Enter] för att separera taggar</label>
                <tag-input class="input-field" theme='light' id="tagsInput" data-cy="addTags" name="_tags" [(ngModel)]="tags"
                           [errorMessages]="errorMessages" [validators]="validators"
                           (onAdd)="tagProgress()" (onRemove)="tagProgress()"
                           [onAdding]="convertToLower" [addOnPaste]="true" [addOnBlur]="true"
                           [separatorKeys]="[',',';',' ']" [separatorKeyCodes]="[9]" [modelAsStrings]="true"
                  placeholder="+ Tagg" secondaryPlaceholder="Lägg till en ny tagg">
                  <tag-input-dropdown></tag-input-dropdown>
                </tag-input>
              </div>
              <p>
                <ngb-progressbar type={{progressType}} [value]="tags.length*10"></ngb-progressbar>
              </p>
            </div>
          </div>

          <div class="row mt-5 mb-3">
            <div class="col-lg-8 form-group">
              <app-image-picker
                [image]="service.logoUrl"
                (uploaded)="newImageUploade($event)"
                (deleted)="imageDeleted($event)">
              </app-image-picker>
            </div>
          </div>

          <div class="mt-5 row">
              <div class="col">
                <h3 class="H3-Left">Sociala medier</h3>
              </div>
            </div>
      
            <div class="row">
               <div class="col-12 form-group"> 
                <!-- <i class="tick tick-optional fas fa-circle"></i>
                <i class="tick tick-optional fas fa-circle"
                   [class.tick-invalid]="youtubeModel.dirty && youtubeModel.invalid"></i> -->
                <label for="youtubeInput">Youtube-länk</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                  <span class="input-group-text" id="youtubeInput-addon">
                    <i class="fab fa-youtube-square"></i>
                  </span>
                  </div>
                  <input type="url" class="form-control" id="youtubeInput" name="youtube" placeholder="https://youtu.be"
                         [(ngModel)]="service.youtube" #youtubeModel="ngModel" data-cy="youtube"
                         pattern="^.*(youtu.be\/|v\/|embed\/|watch\?|youtube.com\/user\/[^#]*#([^\/]*?\/)*)\??v?=?([^#\&\?]*).*">
                </div>
              </div>
            </div>
      
            <div class="row">
              <div class="col-12 form-group">
                <!-- <i class="tick tick-optional fas fa-circle"></i> -->
                <label for="twitterInput"> Facebook</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                  <span class="input-group-text" id="twitterInput-addon">
                    <i class="fab fa-twitter-square"></i>
                  </span>
                  </div>
                  <input type="text" class="form-control" id="twitterInput" name="twitter" placeholder="https://facebook.com/"
                         [(ngModel)]="service.socialTwitter" data-cy="socialTwitter">
                </div>
              </div>
            </div>
      
            <div class="row">
              <div class="col-12 form-group">
                <!-- <i class="tick tick-optional fas fa-circle"></i> -->
                <label for="instagramInput">Instagram</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                  <span class="input-group-text" id="instagram-addon1">
                    <i class="fab fa-instagram"></i>
                  </span>
                  </div>
                  <input type="text" class="form-control" id="instagramInput" name="instagram" placeholder="https://instagram.com/"
                         [(ngModel)]="service.socialInstagram" data-cy="socialInstagram">
                </div>
              </div>
            </div>
      
            <div class="row">
              <div class="col-12 form-group">
                <!-- <i class="tick tick-optional fas fa-circle"></i> -->
                <label for="linkedInInput">LinkedIn</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                  <span class="input-group-text" id="linkedIn-addon1">
                    <i class="fab fa-linkedin"></i>
                  </span>
                  </div>
                  <input type="text" class="form-control" id="linkedInInput" name="linkedIn" placeholder="https://linkedin.com/"
                         [(ngModel)]="service.socialLinkedIn" data-cy="socialLinkedIn">
                </div>
              </div>
            </div>

          <div class="form-group form-check">
            <div class="row">
              <div class="col-lg-1">
                <h4 class="swich-titel">PUBLICERA</h4></div>
              <div class="col-lg-11">
                <label class="switch">
                    <input type="checkbox" id="publishedCheck" name="published" [(ngModel)]="service.published">
                    <span class="slider round"></span>
                    <span [hidden]="service.published" id="nej" data-cy="unPublish">NEJ</span>
                    <span [hidden]="!service.published" id="ja" data-cy="publish">JA</span>
                  </label>
              </div>
            </div>
          </div>
        
          <div class="row">
            <div class="col-12 big-lb"></div>
          </div>

          <div class="form-group">
            <button type="button" class="btn choice-btn" (click)="onBackToList()">
                  Avbryt
                </button>
            <button type="button" class="btn choice-btn" (click)="onDelete()" *ngIf="isNew === false"><i
                class="fa fa-eraser"></i> Ta bort
              </button>
            <!-- <button type="button" class="btn choice-btn" (click)="onReset()"><i
                class="fa fa-undo"></i> Reset
              </button> -->
            <button type="button" (click)="onSave(theForm)" class="btn save-btn" data-cy='save'>
                <i class="fa fa-save"></i> Spara
              </button>
          </div>
        </div>

      </div>
    </form>

  </div>
</div>

<ng-template #loading>Laddar ...</ng-template>
